package com.njzscloud.supervisory.sys.auth.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.njzscloud.common.security.support.EndpointResource;
import com.njzscloud.common.security.support.MenuResource;
import com.njzscloud.common.security.support.UserDetail;
import com.njzscloud.supervisory.biz.pojo.result.SearchCompanyResult;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

@Mapper
public interface AuthMapper {
    List<MenuResource> selectUserMenu(@Param("userId") Long userId);

    List<EndpointResource> selectUserEndpoint(@Param("userId") Long userId);

    Set<String> selectRoleByUserId(@Param("userId") Long userId);

    UserDetail selectUser(@Param("ew") QueryWrapper<Object> ew);

    SearchCompanyResult selectCompanyInfo(@Param("userId") Long userId);
}
